$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.55.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-22.0.55.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '4F320843838BA36F5AE5C1054AFB407FC54ADB19AC32EF14D9D1AA0C37336486'
  checksumType = 'sha256'
  checksum64 = '4F320843838BA36F5AE5C1054AFB407FC54ADB19AC32EF14D9D1AA0C37336486'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-22.0.55-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
